GET
/sms-campaign/:idGet single SMS campaign
You can return details about a specific SMS campaign.
| Attributes | Type | Required | Description |
|---|---|---|---|
| id | integer | yes | A unique identifier for the campaign which is given by User.com automatically. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2" "https://<your_app_subdomain>.user.com/api/public/sms-campaign/:id"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/sms-campaign/:id");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/sms-campaign/:id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/sms-campaign/:id"
headers = {'authorization': 'Token <your_64_char_api_key>'}
response = requests.get(url, headers=headers)
print(response.text)
Response
{
"id": 2,
"name": "",
"description": "",
"phone_number": {
"id": 3,
"provider": "Twilio",
"country": "",
"phone_number": "500100101",
"name": "PhoneNumber1",
"description": "",
"sms": false,
"voice": false,
"price": "0.00",
"last_used_at": null,
"created_at": "2020-03-02T16:03:56.006762Z",
"updated_at": "2020-03-02T16:03:56.030803Z",
"record_incoming_calls": false
},
"type": 1,
"eta": null,
"status": 1,
"recipients": null,
"recipients_ids": null,
"recipients_count": null,
"started_at": null,
"last_message_sent_at": null,
"finished_at": null,
"author": 1,
"created_at": "2020-03-02T16:06:27.000183Z",
"updated_at": "2020-03-02T16:06:27.000204Z",
"statistics": {
"delivery_percentage": 0,
"scheduled": 0,
"delivered": 0
}
}